# $Id: smeserver-xinetd.spec,v 1.3 2018/02/13 22:56:45 jpp Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-xinetd
%define version 0.3
%define release 4
Summary: Set up xinetd for services.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-xinetd-0.3-bz7832.allowdir.patch
Patch1: smeserver-xinetd-0.3-bz7832.new_template.patch
Patch2: smeserver-xinetd-0.3-bz7832.smtp.patch
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires:  e-smith-release >= 7.0
Requires: e-smith-base >= 5.6.0-34
Requires:  xinetd >= 2.3.13
AutoReqProv: no

%description
Integration package to enable xinetd on SME Server.

%changelog
* Fri Nov 30 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.3-4.sme
- Add configuration for smtp [SME: 10512]

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-3.sme
- add new template for the complete config file [SME: 7832]
- requires  e-smith-base >= 5.6.0-34 after other xinetd.conf fragment has been removed

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-2.sme
- fix double default template and missind xinetd.d  [SME: 7832]

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.3-1.sme
- Initial release to contribs9

* Wed Apr 18 2008 Shad L. Lords <slords@mail.com> 0.1-1
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"    >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post

if ! [ -L /usr/sbin/in.qpsmtpd ]; then 
    echo "Setting up symlink /usr/sbin/in.smtp /usr/sbin/in.qpsmtpd"
    ln -s in.smtp /usr/sbin/in.qpsmtpd
else
    echo " in.qpsmtpd link exists"
fi
